%global momorel 2
%global md5sum 1ac63dfd5d78a676599bf5cf6d22e493

Name: inkscape
Summary: A Vector Drawing Application
Version: 0.45.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://inkscape.org/
%NoSource 0 http://dl.sourceforge.net/sourceforge/inkscape/%{name}-%{version}.tar.gz %{md5sum}
Patch0: inkscape-0.44-const_cast.patch
# patchs from Fedora
Patch10: inkscape-0.44.1-psinput.patch
Patch11: inkscape-0.45-python.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gc-devel >= 6.7
BuildRequires: gtkmm-devel >= 2.8.8
BuildRequires: libxslt-devel >= 1.1.15
BuildRequires: libsigc++-devel >= 2.0.12
BuildRequires: libgnomeprintui-devel >= 2.12.1
BuildRequires: perl-SVG >= 2.33
BuildRequires: python-devel
BuildRequires: lcms-devel >= 1.13
BuildRequires: dos2unix
Requires: perl-SVG-Parser
Requires: pstoedit

%description
Inkscape is an SVG-based generic vector-drawing program for Linux/Unix/Windows/Mac.

%prep
%setup -q

#%patch0 -p1 -b .static_cast
%patch10 -p1 -b .psinput
%patch11 -p1 -b .python
find -type f -regex '.*\.\(cpp\|h\)' -perm +111 -exec chmod -x {} ';'
find share/extensions/ -type f -regex '.*\.py' -perm +111 -exec chmod -x {} ';'
dos2unix share/extensions/*.py

%build
CXXFLAGS="%{optflags} -fno-strict-aliasing"
#%%configure --with-perl  --with-python --with-gnome-print --with-gnome-vfs \
%configure --without-perl  --with-python --with-gnome-print --with-gnome-vfs --enable-lcms \
%ifnarch %{ix86}
--disable-mmx
%endif

%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

%find_lang %{name}

%{__rm} -rf %{buildroot}/usr/share/man/fr/

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions/outline2svg.*
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions/txt2svg.*

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/inkscape
%{_bindir}/inkview
%{_datadir}/applications/inkscape.desktop
%{_datadir}/pixmaps/*
%{_datadir}/inkscape/*
%{_mandir}/man1/*
#%%{_libdir}/inkscape/plugins/*


%changelog
* Fri Jun 15 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.45.1-2m)
- import patchs from Fedora (inkscape-0.44.1-psinput.patch, inkscape-0.45-python.patch)
- Requires: pstoedit for PS and EPS importing

* Mon Apr 09 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.45.1-1m)
- update to 0.45.1

* Wed Feb 21 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.45-1m)
- update to 0.45

* Tue Dec 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.44.1-2m)
- add static_cast patch
-- support : gcc-4.1.1-20061220 

* Sat Sep 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.44.1-1m)
- update to 0.44.1

* Tue Jun 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.44-1m)
- update to 0.44
- tempolary disabled perl script support because of a link error.

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.43-2m)
- rebuild against gtkmm-2.8.8

* Tue Apr 18 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.43-4m)
- revised an optimization to use "-O2" etc.

* Mon Jan 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.43-3m)
- add CXXFLAGS="-fno-strict-aliasing"

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.43-2m)
- add gcc-4.1 patch.
-- inkscape-0.43-gcc41.patch

* Fri Nov 25 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.43-1m)
- update to 0.43

* Tue Nov 15 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.42.2-2m)
- rebuild against pkgconfig-0.19

* Sat Sep 24 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.42.2-1m)
- update to 0.42.2

* Thu Jul 28 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.42-2m)
- --with-python

* Wed Jul 27 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.42-1m)
- Update to 0.42

* Mon May 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.41-1m)
- initial import to Momonga

* Wed Nov 24 2004 Kees Cook <kees@outflux.net>
- Added SMP flags so I can build faster
- Added static build capability

* Sat Jul 17 2004 Bryce W. Harrington <bryce@bryceharrington.com>
- Removing _libdir and TODO, updating description

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros
